Question I am forced to stay on old amd drivers!

Oct 22, 2019
23
0
10
0
CPU: AMD Ryzen 5 1600 six core Precessor

GPU: radeon rx 590 sapphire nitro+

MotherBoard: AB350-Gaming 3

PSU: EVGA NEX 650G






This has been going on for a while, basically the only amd drivers i can run are 19.6 and lower. But all the new games require 19.11 and higher
and if I install any newer drivers (above 19.6) my screen flickers and gets like those rainbow lines on the screen. Just so its included i have a dual monitor set up and this issue happens only when both of them are turned on. When its just one monitor on, the issue seems to not be there at all. Example is below.

View: https://www.youtube.com/watch?v=_HW9sUCrirg
 

ASK THE COMMUNITY

TRENDING THREADS